export class ShippingZoneNotFoundError extends Error {
  constructor() {
    super('Address is outside supported shipping zones');
    this.name = 'ShippingZoneNotFoundError';
  }
}

export class InvalidShippingAddressError extends Error {
  constructor(message = 'Invalid shipping address') {
    super(message);
    this.name = 'InvalidShippingAddressError';
  }
}
